Subject: [bug#63527] [PATCH 0/3] Initial attempt at rumpdisk support for the Hurd.

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Wed, 24 May 2023 11:37:36 +0200

Ludovic Courtès writes:

> Janneke Nieuwenhuizen <[email-masked]> skribis:
>
>> * gnu/bootloader/grub.scm (make-grub-configuration): When "noide" is in
>> arguments, use device name "wd0" rather than "hd0".
>
> [...]
>
>> +        (let* ((kernel (menu-entry-multiboot-kernel entry))
>> +               (arguments (menu-entry-multiboot-arguments entry))
>> +               (disk (if (member "noide" arguments) "w" "h"))
>
> Could you add a comment like:
>
>   ;; Choose between device names as understood by Mach's built-in IDE
>   ;; driver and those understood by rumpdisk (in the "noide" case).

Added as

               ;; Choose between device names as understood by Mach's built-in
               ;; IDE driver ("hdX") and those understood by rumpdisk ("wdX"
               ;; in the "noide" case).
               (disk (if (member "noide" arguments) "w" "h"))

> (It’s a bit of an abstraction leak, but hey, we’ll worry about it when
> we have another multiboot-compliant kernel.)

(Yeah, ok!)

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com